"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _reactCodemirror = require("react-codemirror2");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const JsonLang = props => {
  const [state, setState] = (0, _react.useState)(props.data.value);
  const data = props.data;
  (0, _react.useEffect)(() => {
    data.getData ? data.getData(state) : null;
  }, [state]);
  const optionsJson = {
    mode: {
      name: "javascript",
      json: true,
      statementIndent: 2
    },
    lineNumbers: true,
    lineWrapping: true,
    tabSize: 2,
    readOnly: data.readOnly ? data.readOnly : false,
    styleActiveLine: true,
    autoCloseBrackets: true
  };
  return /*#__PURE__*/_react.default.createElement(_reactCodemirror.UnControlled, {
    className: data.class ? data.class : null,
    value: data.value ? data.value : null,
    options: optionsJson,
    onChange: (editor, data, value) => {
      setState(value);
    }
  });
};

var _default = JsonLang;
exports.default = _default;